Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007970TestLinkMigration/Upgrade Testlinkpublic2017-06-09 15:552017-06-28 20:00
ReporterPatricia Demay 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusfeedbackResolutionopen 
PlatformLinuxOSUbuntuOS Version14
Product Version1.9.16 (2016 Q4) 
Fixed in Version 
Summary0007970: On migration 1.9.3 to 1.9.16 : all results of testcase are missing
DescriptionFirst, excuse me for my english, i'm french...

For migrate from 1.9.3 to 1.9.16 I've passed all the script describe in the README, like this :

mysql -uroot -p'xx$$' testlink < /var/www/html/testlink-code-1.9.16/install/sql/alter_tables/1.9.4/mysql/DB.1.5/step1/db_schema_update.sql
mysql -uroot -p'xx$$' testlink < /var/www/html/testlink-code-1.9.16/install/sql/alter_tables/1.9.4/mysql/DB.1.5/stepZ/z_final_step.sql
mysql -uroot -p'xx$$' testlink < /var/www/html/testlink-code-1.9.16/install/sql/alter_tables/1.9.6/mysql/DB.1.6/step1/db_schema_update.sql
mysql -uroot -p'xx$$' testlink < /var/www/html/testlink-code-1.9.16/install/sql/alter_tables/1.9.6/mysql/DB.1.6/stepZ/z_final_step.sql
mysql -uroot -p'xx$$' testlink < /var/www/html/testlink-code-1.9.16/install/sql/alter_tables/1.9.8/mysql/DB.1.9.8/step1/db_schema_update.sql
mysql -uroot -p'xx$$' testlink < /var/www/html/testlink-code-1.9.16/install/sql/alter_tables/1.9.8/mysql/DB.1.9.8/stepZ/z_final_step.sql
mysql -uroot -p'xx$$' testlink < /var/www/html/testlink-code-1.9.16/install/sql/alter_tables/1.9.9/mysql/DB.1.9.9/step1/db_schema_update.sql
mysql -uroot -p'xx$$' testlink < /var/www/html/testlink-code-1.9.16/install/sql/alter_tables/1.9.9/mysql/DB.1.9.9/stepZ/z_final_step.sql
mysql -uroot -p'xx$$' testlink < /var/www/html/testlink-code-1.9.16/install/sql/alter_tables/1.9.10/mysql/DB.1.9.10/step1/db_data_update.sql
mysql -uroot -p'xx$$' testlink < /var/www/html/testlink-code-1.9.16/install/sql/alter_tables/1.9.11/mysql/DB.1.9.11/step1/db_schema_update.sql
mysql -uroot -p'xx$$' testlink < /var/www/html/testlink-code-1.9.16/install/sql/alter_tables/1.9.11/mysql/DB.1.9.11/stepZ/z_final_step.sql
mysql -uroot -p'xx$$' testlink < /var/www/html/testlink-code-1.9.16/install/sql/alter_tables/1.9.12/mysql/DB.1.9.12/step1/db_schema_update.sql
mysql -uroot -p'xx$$' testlink < /var/www/html/testlink-code-1.9.16/install/sql/alter_tables/1.9.12/mysql/DB.1.9.12/stepZ/z_final_step.sql
mysql -uroot -p'xx$$' testlink < /var/www/html/testlink-code-1.9.16/install/sql/alter_tables/1.9.13/mysql/DB.1.9.13/step1/db_schema_update.sql
mysql -uroot -p'xx$$' testlink < /var/www/html/testlink-code-1.9.16/install/sql/alter_tables/1.9.13/mysql/DB.1.9.13/stepZ/z_final_step.sql
mysql -uroot -p'xx$$' testlink < /var/www/html/testlink-code-1.9.16/install/sql/alter_tables/1.9.14/mysql/DB.1.9.14/step1/db_schema_update.sql
mysql -uroot -p'xx$$' testlink < /var/www/html/testlink-code-1.9.16/install/sql/alter_tables/1.9.14/mysql/DB.1.9.14/stepZ/z_final_step.sql
mysql -uroot -p'xx$$' testlink < /var/www/html/testlink-code-1.9.16/install/sql/alter_tables/1.9.15/mysql/DB.1.9.15/step1/db_schema_update.sql
mysql -uroot -p'xx$$' testlink < /var/www/html/testlink-code-1.9.16/install/sql/alter_tables/1.9.15/mysql/DB.1.9.15/stepZ/z_final_step.sql
mysql -uroot -p'xx$$' testlink < /var/www/html/testlink-code-1.9.16/install/sql/alter_tables/1.9.16/mysql/DB.1.9.16/step1/db_schema_update.sql
mysql -uroot -p'xx$$' testlink < /var/www/html/testlink-code-1.9.16/install/sql/alter_tables/1.9.16/mysql/DB.1.9.16/stepZ/z_final_step.sql

All script were successully.

The problem is don't see the result of the results of the test execution.

Please help me
Tagsinstallation
Database (MySQL,Postgres,etc)mysql
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0026461)
fman (administrator)
2017-06-09 18:26

After each migration you need to do a minimal check on your system, in order to understand if something has been wrong.

do it again, stoping and doing a db backup and minor test after each step
(0026474)
Patricia Demay (reporter)
2017-06-12 07:40

What can I check step by step ?
My server App is in 1.9.16.
My BD dump come from another server in 1.9.3.
I seen all the script mysql passed successfull
(0026479)
Patricia Demay (reporter)
2017-06-12 13:45

I think my problème is like mantis 6594 http://mantis.testlink.org/view.php?id=6594 [^]
But i can't apply the procedure :
Because there'is no fields "steps" or "expected_results" in table tcversions IN 1.9.16 and not in 1.9.3
(0026480)
fman (administrator)
2017-06-12 16:18

You need to restart the procedure from original 1.9.3 and check after each migration that at least all test case info is there.
(0026481)
Patricia Demay (reporter)
2017-06-13 14:01

I've restart the procedure from 1.9.3 backup and the problem came.

I found this in error log :
[root@localhost logs]# tail -1 testlink.example.com-error_log
[Tue Jun 13 17:05:57.711621 2017] [php7:error] [pid 13821] [client 10.10.0.240:47816] PHP Fatal error: Uncaught Error: Cannot use string offset as an array in /var/www/html/testlink-code-1.9.16/lib/execute/execSetResults.php:1533\nStack trace:\n#0 /var/www/html/testlink-code-1.9.16/lib/execute/execSetResults.php(94): processTestCase(NULL, Object(stdClass), Object(stdClass), Object(stdClass), Array, Object(tree), Object(testcase), Object(tlAttachmentRepository))\n#1 {main}\n thrown in /var/www/html/testlink-code-1.9.16/lib/execute/execSetResults.php on line 1533, referer: http://10.10.82.26/lib/execute/execNavigator.php?setting_testplan= [^]
[root@localhost logs]#

I am in PHP 7, is it compatible with testlink ?
(0026482)
fman (administrator)
2017-06-13 14:45

latest dev version yes.
For older versions stick with 5.4
(0026483)
Patricia Demay (reporter)
2017-06-15 12:31

with php 5.6 all is good
thanks
(0026493)
fman (administrator)
2017-06-17 17:37

does this means that issue can be closed?
(0026529)
Mr.Bricodage (updater)
2017-06-28 20:00

does this means that issue can be closed?

- Issue History
Date Modified Username Field Change
2017-06-09 15:55 Patricia Demay New Issue
2017-06-09 18:26 fman Note Added: 0026461
2017-06-12 07:40 Patricia Demay Note Added: 0026474
2017-06-12 13:45 Patricia Demay Note Added: 0026479
2017-06-12 13:46 Patricia Demay Tag Attached: installation
2017-06-12 16:18 fman Note Added: 0026480
2017-06-13 14:01 Patricia Demay Note Added: 0026481
2017-06-13 14:45 fman Note Added: 0026482
2017-06-15 12:31 Patricia Demay Note Added: 0026483
2017-06-17 17:37 fman Note Added: 0026493
2017-06-17 17:37 fman Assigned To => fman
2017-06-17 17:37 fman Status new => feedback
2017-06-28 20:00 Mr.Bricodage Note Added: 0026529



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker